启动新批处理
curl --request POST \
--url https://api.olostep.com/v1/batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"custom_id": "product-123",
"url": "https://example.com/product/123",
"metadata": {
"source": "catalog_sync",
"priority": "high"
}
},
{
"custom_id": "product-456",
"url": "https://example.com/product/456"
}
],
"country": "US",
"metadata": {
"batch_name": "Q1 Product Sync",
"initiated_by": "automation"
}
}
'import requests
url = "https://api.olostep.com/v1/batches"
payload = {
"items": [
{
"custom_id": "product-123",
"url": "https://example.com/product/123",
"metadata": {
"source": "catalog_sync",
"priority": "high"
}
},
{
"custom_id": "product-456",
"url": "https://example.com/product/456"
}
],
"country": "US",
"metadata": {
"batch_name": "Q1 Product Sync",
"initiated_by": "automation"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
custom_id: 'product-123',
url: 'https://example.com/product/123',
metadata: {source: 'catalog_sync', priority: 'high'}
},
{custom_id: 'product-456', url: 'https://example.com/product/456'}
],
country: 'US',
metadata: {batch_name: 'Q1 Product Sync', initiated_by: 'automation'}
})
};
fetch('https://api.olostep.com/v1/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "batch_abc123def456",
"object": "batch",
"status": "in_progress",
"created": 1704067200,
"total_urls": 2,
"completed_urls": 0,
"country": "US",
"metadata": {
"batch_name": "Q1 Product Sync",
"initiated_by": "automation"
}
}{
"id": "error_abc123",
"object": "error",
"code": "validation_error",
"type": "https://docs.olostep.com/api-reference/errors/bad_request",
"status": 400,
"title": "错误请求",
"detail": "The 'items' array is required and must contain at least one item.",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_api_key",
"type": "https://docs.olostep.com/api-reference/errors/unauthorized",
"status": 401,
"title": "未授权",
"detail": "Your API key is invalid. Try double-checking it or reaching out to info@olostep.com if you're facing issues.",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "credits_exhausted",
"type": "https://docs.olostep.com/api-reference/errors/payment_required",
"status": 402,
"title": "需要付款",
"detail": "You have consumed all available credits. Please upgrade your plan from the dashboard: https://www.olostep.com/auth/",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "access_denied",
"type": "https://docs.olostep.com/api-reference/errors/forbidden",
"status": 403,
"title": "禁止",
"detail": "You don't have access to this feature. Please reach out to info@olostep.com to get approved",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "idempotency_key_in_progress",
"type": "https://docs.olostep.com/api-reference/errors/idempotency_error",
"status": 409,
"title": "幂等性错误",
"detail": "A request with this idempotency key is currently being processed. Please wait and retry.",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "idempotency_key_reuse",
"type": "https://docs.olostep.com/api-reference/errors/unprocessable_entity",
"status": 422,
"title": "无法处理的实体",
"detail": "A request with this idempotency key was already made with different parameters. Idempotency keys must be unique per request.",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "internal_server_error",
"type": "https://docs.olostep.com/api-reference/errors/internal_error",
"status": 500,
"title": "内部服务器错误",
"detail": "An unexpected error occurred",
"created": 1704067200,
"metadata": {}
}批次
创建批处理
开始一个新的批处理。你会收到一个 id,可以用来跟踪批处理的进度,如此处所示。注意:处理时间与批处理大小无关,是恒定的。
POST
/
v1
/
batches
启动新批处理
完成时获取通知: 传递
webhook 参数以及你的端点 URL,以便在批处理完成时接收一个 HTTP POST。详情请参阅 Webhooks。授权
Bearer认证头格式为Bearer ,其中是你的认证令牌。
请求体
application/json
要在批处理中处理的项目数组。
Show child attributes
Show child attributes
批处理执行的国家。请使用 ISO 3166-1 alpha-2 代码,如 US(美国)、IN(印度)等。
你可以使用这个参数来指定要使用的解析器。解析器对于从网页中提取结构化内容非常有用。Olostep 内置了一些常见网页的解析器,你也可以创建自己的解析器。
Show child attributes
Show child attributes
获取批处理中每个页面上存在的所有链接。链接始终以绝对 URL 返回。
Show child attributes
Show child attributes
用于存储对象附加信息的键值对集合。遵循Stripe的验证规则:最多50个键,键最多40个字符(不含方括号),值最多500个字符,所有值以字符串形式存储。
Show child attributes
Show child attributes
示例:
{
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
}
响应
批处理启动成功。
批处理 ID
对象的类型。此端点为 "batch"。
in_progress 或 completed
创建的纪元时间
批处理中 URL 的数量
已完成的 URL 数量
用于存储对象附加信息的键值对集合。遵循Stripe的验证规则:最多50个键,键最多40个字符(不含方括号),值最多500个字符,所有值以字符串形式存储。
Show child attributes
Show child attributes
示例:
{
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
}
用于接收完成通知的 Webhook URL
此请求消耗的积分数量。在执行完成后填充。积分是计费的真实来源。
此请求的估计成本(以美元计)。在执行完成后填充。根据消耗的积分和你的计划费率计算——99% 准确,但 credits_consumed 是权威值。
此页面对您有帮助吗?
⌘I